# RouterBaseRule Class Reference

Inheritance diagram for RouterBaseRule:
[legend]

List of all members.

## Public Member Functions

| chain (RouterRule $route, $separator= '/')
| getDefault ($name)
| setDefaults (array $defaults)
| getDefaults ()

## Protected Member Functions

| getPath (HttpUrl $url)
| processPath (HttpRequest $request)

## Protected Attributes

| $defaults = array()

## Detailed Description

Definition at line 12 of file RouterBaseRule.class.php.

## Member Function Documentation

RouterBaseRule::chain | ( | RouterRule $ | route,
|  | $ | separator = `'/'` |
| ) |  |  |

Returns:
  RouterChainRule

Reimplemented in RouterChainRule.

Definition at line 19 of file RouterBaseRule.class.php.

RouterBaseRule::getDefault | ( | $ | name | ) |

Definition at line 30 of file RouterBaseRule.class.php.

Referenced by RouterTransparentRule::assembly(), and RouterHostnameRule::assembly().

RouterBaseRule::getDefaults | ( |  | ) |

Returns:
  array

Definition at line 49 of file RouterBaseRule.class.php.

RouterBaseRule::getPath | ( | HttpUrl $ | url | ) | `[protected]`

Returns:
  HttpUrl

Definition at line 57 of file RouterBaseRule.class.php.

References HttpUrl::create(), and RouterRewrite::me().

Referenced by processPath().

Here is the call graph for this function:

RouterBaseRule::processPath | ( | HttpRequest $ | request | ) | `[protected]`

Returns:
  HttpUrl

Definition at line 115 of file RouterBaseRule.class.php.

References HttpUrl::create(), getPath(), HttpRequest::getServerVar(), and HttpRequest::hasServerVar().

Referenced by RouterTransparentRule::match(), RouterStaticRule::match(), and RouterRegexpRule::match().

Here is the call graph for this function:

RouterBaseRule::setDefaults | ( | array $ | defaults | ) |

Definition at line 39 of file RouterBaseRule.class.php.

## Member Data Documentation

RouterBaseRule::$defaults = array()`[protected]`

Definition at line 14 of file RouterBaseRule.class.php.

Referenced by RouterRegexpRule::match().

The documentation for this class was generated from the following file:

- main/Utils/Routers/RouterBaseRule.class.php